Summary: Encrypted IP over UDP tunneling 
Name: cipe 
Version: 1.6.0
Release: 3tr
Group: Trustix Official
Source: http://sites.inka.de/sites/bigred/sw/cipe-%{version}.tar.gz 
Patch0: cipe-1.6.0.patch
Patch1: cipe-1.6.0-install.patch
License: GPL 
Buildroot: /var/tmp/%{name}-root

%description
CIPE is a package for an encrypting IP tunnel device. This can be used 
to build encrypting routers for VPN (Virtual Private Networks) and 
similar applications.

%prep
%setup -q
%patch0 -p0
%patch1 -p0 -b .install

%build
CFLAGS="$RPM_OPT_FLAGS" %configure \
	--prefix=%{_prefix} \
	--with-linux=/usr 
		
make all

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{usr/sbin,etc/cipe/samples}
header_version=`grep UTS_RELEASE /usr/include/linux/version.h | awk '{print $3}' | sed -e 's/"//g'`
if [ -d $header_version-i386-cb ] ; then
  cipedir=$header_version-i386-cb
elif [ -d $header_version-i386-SMP-cb ] ; then
  cipedir=$header_version-i386-SMP-db
else
  exit -1
fi
make install BINDIR=$RPM_BUILD_ROOT%{_sbindir} -C $cipedir
%makeinstall DESTDIR=$RPM_BUILD_ROOT -C pkcipe
install -m 640 samples/options $RPM_BUILD_ROOT/etc/cipe/samples
install -m 750 samples/{ip-up,ip-down} $RPM_BUILD_ROOT/etc/cipe/samples

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post
if [ ! -f /etc/cipe/identity.priv ] ; then
	echo "*** Generating new identity (host) key ***"
	/usr/bin/rsa-keygen /etc/cipe/identity
	chmod 600 /etc/cipe/identity
fi

%files
%defattr(-,root,root,0755)
%defattr(-,root,root)
%doc COPYING CHANGES README README.key-bug tcpdump.patch samples
%dir /etc/cipe/samples
/etc/cipe/samples/*
%{_sbindir}/*
%{_bindir}/rsa-keygen

%changelog
* Mon Feb 26 2007 Nived Gopalan <nived at trustix dot org>
- Rebuilt

* Tue Sep 13 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 1.6.0-2tr
- Added install and makfile patch needed for cipe to build
- Rewrote %install and %post scriptlets.

* Thu Sep  1 2005 Nived Gopalan <nived at comodo dot com>  
- Initial build for TSL-3.0
